Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I downloaded and installed version 28 of the Caveman2Cosmos mod the other day, and am having trouble getting it to run. When I load the mod, Civilization closes down as normal, but never reappears. Eventually Windows tells me "Sid Meier's Civilization 4: Beyond the Sword has stopped working."

System information: I'm using Windows 7 Home Premium 64-bit and have over 4GB of RAM still available when the crash occurs.

Here is the error text displayed when I show the problem details:

Problem signature:
  Problem Event Name:   APPCRASH
  Application Name: Civ4BeyondSword.exe
  Application Version:  3.1.3.1
  Application Timestamp:    48317e8a
  Fault Module Name:    CvGameCoreDLL.dll
  Fault Module Version: 3.1.9.0
  Fault Module Timestamp:   5105a233
  Exception Code:   c0000005
  Exception Offset: 000d50c2
  OS Version:   6.1.7601.2.1.0.768.3
  Locale ID:    1033
  Additional Information 1: 8485
  Additional Information 2: 84853502223d8164a31468861a7c3d71
  Additional Information 3: 096e
  Additional Information 4: 096e1bd0f1dc1c0a0e6c1d8ecc5c1361

If any more information is needed to pin down the problem, I'll be more than happy to edit it in.

share|improve this question
    
Hmm... doing some more research it looks like a currently not-installed patch may fix this. I've got BtS 3.17 and there's a patch to bring it up to version 3.19. I'm downloading it now and will check back later. Also, I've previously attempted to install it from the game's built-in patching system to no avail. –  Peter Cassetta Feb 2 '13 at 1:41
add comment

1 Answer

up vote 1 down vote accepted

For mods in general, be sure your currently installed version of Civilization is compatible with the mod.

In this specific case, the Caveman2Cosmos mod did not work because Civilization IV: Beyond the Sword was not patched to the latest Beyond the Sword version, 3.19.

The in-game patching has not worked for me on the three computers I've tried with it, but fortunately it is also possible to manually download and install the v3.19 patch from the downloads section of Firaxis Games' website. This worked like a breeze and I am now able to play the awesome C2C mod.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.